跳轉到主要內容
GET
/
v2
/
dexscr
/
{chain}
/
token
/
{tokenAddress}
DexScreener - Token Info
curl --request GET \
  --url https://api.chainstream.io/v2/dexscr/{chain}/token/{tokenAddress} \
  --header 'Authorization: Bearer <token>'
{
  "chain": "sol",
  "tokenAddress": "WCoRVxGcpiwE6EvtDjXHJq6Kcn4nWT9Ubt1PrJHNAzM",
  "ad": {
    "chain": "sol",
    "tokenAddress": "So11111111111111111111111111111111111111112",
    "adType": "<string>",
    "date": "<string>",
    "durationHours": 123,
    "impressions": 123,
    "url": "<string>"
  },
  "boost": {
    "chain": "sol",
    "tokenAddress": "So11111111111111111111111111111111111111112",
    "totalAmount": 500,
    "amount": 123,
    "description": "<string>",
    "header": "<string>",
    "icon": "<string>",
    "links": "<unknown>",
    "openGraph": "<string>",
    "url": "<string>"
  },
  "linkUpdate": {
    "chain": "sol",
    "tokenAddress": "So11111111111111111111111111111111111111112",
    "description": "<string>",
    "header": "<string>",
    "icon": "<string>",
    "links": "<unknown>",
    "openGraph": "<string>",
    "url": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

A chain name listed in supported networks Supported blockchain chains

可用選項:
sol,
eth,
bsc
tokenAddress
string
必填

An address of a token

回應

200 - application/json

Successful response

Per-token aggregated DexScreener information.

chain
string
必填

Blockchain network identifier

範例:

"sol"

tokenAddress
string
必填

Token contract address

範例:

"WCoRVxGcpiwE6EvtDjXHJq6Kcn4nWT9Ubt1PrJHNAzM"

ad
object

DexScreener advertisement data for this token, if any

boost
object

DexScreener boost data for this token, if any

DexScreener link update data for this token, if any